Google Chrome < ChromeHTML URI Handling Privilege Escalation

Medium Nessus Plugin ID 38154


The remote host contains a web browser that is affected by a same origin policy bypass vulnerability.


The version of Google Chrome installed on the remote host is earlier than Such versions are reportedly affected by an issue when handling URLs with a 'chromehtml:' protocol that could allow an attacker to run scripts of his choosing on any page or enumerate files on the local disk.

If a user has Google Chrome installed, visiting an attacker-controlled web page in another browser could cause Google Chrome to launch, open multiple tabs, and load scripts that run after navigating to a URL of the attacker's choice.


Upgrade to Google Chrome or later.

See Also

Plugin Details

Severity: Medium

ID: 38154

File Name: google_chrome_1_0_154_59.nasl

Version: $Revision: 1.14 $

Type: local

Agent: windows

Family: Windows

Published: 2009/04/24

Modified: 2013/11/13

Dependencies: 34196

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:google:chrome

Required KB Items: SMB/Google_Chrome/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/04/23

Reference Information

CVE: CVE-2009-1412

BID: 34704

OSVDB: 53989

CWE: 200